"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTagApiMiddleware = void 0;
const tslib_1 = require("tslib");
const types_1 = require("./types");
const CustomTagManager_1 = require("../../utils/CustomTagManager");
let CustomTagApiMiddleware = class CustomTagApiMiddleware extends types_1.BaseMiddleware {
    constructor() {
        super(...arguments);
        this.priority = 0;
    }
    before(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            if (typeof ((_a = ctx.params) === null || _a === void 0 ? void 0 : _a.text) === 'string')
                ctx.params.text = yield CustomTagManager_1.CustomTagManager.process(this.client, ctx.params.text);
            if (typeof ctx.params.caption === 'string')
                ctx.params.caption = yield CustomTagManager_1.CustomTagManager.process(this.client, ctx.params.caption);
            if (typeof ((_b = ctx.params.media) === null || _b === void 0 ? void 0 : _b.caption) === 'string')
                ctx.params.media.caption = yield CustomTagManager_1.CustomTagManager.process(this.client, ctx.params.media.caption);
            return next();
        });
    }
};
exports.CustomTagApiMiddleware = CustomTagApiMiddleware;
exports.CustomTagApiMiddleware = CustomTagApiMiddleware = tslib_1.__decorate([
    (0, types_1.ApiMiddleware)()
], CustomTagApiMiddleware);
