"use strict";
var SavedMessagesMiddleware_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SavedMessagesMiddleware = void 0;
const tslib_1 = require("tslib");
const types_1 = require("./types");
let SavedMessagesMiddleware = SavedMessagesMiddleware_1 = class SavedMessagesMiddleware extends types_1.BaseMiddleware {
    constructor() {
        super(...arguments);
        this.priority = 1;
    }
    before(_a, next_1) {
        return tslib_1.__awaiter(this, arguments, void 0, function* ({ params, method, state }, next) {
            var _b;
            if (!SavedMessagesMiddleware_1.ALLOWED_METHODS.includes(method))
                return next();
            state.message_id = parseInt(Math.random().toString(36).substring(2, 6), 36) * -1;
            yield ((_b = this.client.database.message) === null || _b === void 0 ? void 0 : _b.addMessage({
                message_id: state.message_id.toString(),
                chat_id: Number(params.chat_id),
                created_at: new Date(),
                sended_data: params,
                payload: params.payload,
            }));
            return next();
        });
    }
    after(_a) {
        return tslib_1.__awaiter(this, arguments, void 0, function* ({ params, method, result, state }) {
            var _b, _c;
            if (!SavedMessagesMiddleware_1.ALLOWED_METHODS.includes(method))
                return;
            //@ts-ignore
            yield ((_b = this.client.database.message) === null || _b === void 0 ? void 0 : _b.updateMessage(state.message_id, {
                payload: params.payload,
                telegram_data: result,
                user_id: (_c = result.from) === null || _c === void 0 ? void 0 : _c.id,
                message_id: result.message_id.toString(),
            }));
        });
    }
};
exports.SavedMessagesMiddleware = SavedMessagesMiddleware;
SavedMessagesMiddleware.ALLOWED_METHODS = [
    'sendMessage',
    'forwardMessage',
    'sendPhoto',
    'sendAudio',
    'sendDocument',
    'sendVideo',
    'sendAnimation',
    'sendLocation',
    'sendVenue',
    'sendContact',
    'sendPoll',
    'sendDice',
    'sendSticker',
    'sendVoice',
    'sendVideoNote',
    'editMessageText',
    'editMessageCaption',
    'editMessageMedia',
    'editMessageReplyMarkup',
];
exports.SavedMessagesMiddleware = SavedMessagesMiddleware = SavedMessagesMiddleware_1 = tslib_1.__decorate([
    (0, types_1.ApiMiddleware)()
], SavedMessagesMiddleware);
