import { Evogram } from '../../Client';
export type NextFunction = () => Promise<void>;
export interface MiddlewareContext {
    method: string;
    params: Record<string, any>;
    result?: any;
    isExecuted: boolean;
    state: Record<string, any>;
}
export declare abstract class BaseMiddleware {
    protected client: Evogram;
    constructor(client: Evogram);
    priority: number;
    execute(ctx: MiddlewareContext, next: NextFunction): any;
    before?(ctx: MiddlewareContext, next: NextFunction): any;
    after?(ctx: MiddlewareContext): any;
    error?(ctx: MiddlewareContext, error: any): any;
}
export declare function ApiMiddleware(): any;
