import 'reflect-metadata';
import { Command, CommandContext } from '../migrated';
export type ICommandArgument = {
    index: number;
    name: string;
    type: any;
    validators: ICommandArgumentValidator[];
    isOptional: boolean;
    question: (data: ICommandArgumentQuestionParams) => Promise<any>;
    askAgain: boolean;
};
export type ICommandArgumentName = string;
export type ICommandArgumentValidator = (params: ICommandArgumentValidtatorParams) => any | Promise<any>;
export type ICommandArgumentValidtatorParams = {
    value: string;
    args: Record<string, any>;
    context: CommandContext;
    command: Command;
    arg: ICommandArgument;
    validateArgs: Record<string, any>;
};
export type ICommandArgumentQuestionParams = ICommandArgumentValidtatorParams & {
    error?: any;
};
export declare function CommandArgument(nameOrOptions: ICommandArgumentName | {
    name: ICommandArgumentName;
    question?: (data: ICommandArgumentQuestionParams) => Promise<any>;
    askAgain?: boolean;
}, ...validators: ICommandArgumentValidator[]): Function;
