import { CommandContext, InlineQueryContext, MessageContext } from '../migrated';
import { Command } from './Command';
import { ICommandArgument } from './commandArgument.decorator';
export declare class ArgumentParser {
    private context;
    private command;
    private args;
    private argsType;
    private text;
    private savedArgs;
    private logger;
    constructor(context: CommandContext | MessageContext | InlineQueryContext, command: Command);
    private getSavedArgs;
    private getCommandText;
    private getMissingArgs;
    private validateArguments;
    parse(): Promise<{
        resultArguments: Record<string, any>;
        validateArgs: Record<string, any>;
    } | null>;
    private parseArguments;
    private parseByType;
}
export declare function getCommandArguments(context: CommandContext | MessageContext | InlineQueryContext, command: Command): Promise<{
    resultArguments: Record<string, any>;
    validateArgs: Record<string, any>;
} | null>;
export { getByNewline, getBySpace, getByParameterized };
declare function getByNewline(text: string, args: ICommandArgument[]): {
    [x: number]: string;
};
declare function getBySpace(text: string, args: ICommandArgument[]): {
    [x: string]: string;
} | null;
declare function getByParameterized(text: string): {
    [x: string]: string;
} | undefined;
