"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextD = ContextD;
const ContextManager_1 = require("./ContextManager"); // Adjust the import path as needed
/**
 * Context decorator function.
 * Registers a class as a context with the `ContextManager`.
 *
 * @param key - The key under which to register the context.
 * @returns A decorator function.
 */
function ContextD(key) {
    return function (constructor) {
        ContextManager_1.ContextManager.setContext(key, constructor);
    };
}
