"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let ChatContext = class ChatContext extends core_1.Context {
    constructor() {
        var _a, _b;
        super(...arguments);
        this.id = this.source.id;
        this.firstName = this.source.first_name;
        this.lastName = this.source.last_name;
        this.username = this.source.username;
        this.type = this.source.type;
        this.isForum = this.source.is_forum;
        /** Returns the user's full name. */
        this.title = this.source.title || [this.source.first_name, this.source.last_name].join(' ').trimEnd();
        /** Returns the user's appeal, which is either their username or full name. */
        this.appeal = (_a = (this.username && `@${this.username}`)) !== null && _a !== void 0 ? _a : this.title;
        this.chatDB = (_b = this.state) === null || _b === void 0 ? void 0 : _b.chatDB;
    }
};
exports.ChatContext = ChatContext;
exports.ChatContext = ChatContext = tslib_1.__decorate([
    (0, core_1.ContextD)('Chat')
], ChatContext);
