"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandContext = void 0;
const tslib_1 = require("tslib");
const commands_1 = require("../../../commands");
const core_1 = require("../../core");
const migrated_1 = require("../../../migrated");
let CommandContext = class CommandContext extends migrated_1.IncomingMessageContext {
    constructor() {
        super(...arguments);
        this.message = this.state.message;
        this.callbackQuery = this.state.callbackQuery;
    }
    send(data, params) {
        //@ts-ignore
        return this.state.origin === 'callbackQuery' && this.client.params.keyboardMode
            ? //@ts-ignore
                this.edit(data, params)
            : super.send(data, params);
    }
    redirect(command, args) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const cmd = this.client.commands.commands.find((x) => x.constructor.name === command.name);
            if (!cmd)
                throw new Error(`Command "${command.name}" not found`);
            this.state.command = cmd;
            this.state.commandArguments = args || {};
            return yield cmd.preExecute(this, args || {});
        });
    }
    redirectToBack() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            const message = yield this.client.database.message.getMessage(this.chat.id, this.id);
            if (!message || !((_a = message.history.at(-2)) === null || _a === void 0 ? void 0 : _a.arguments))
                return;
            this.state.callbackData = Object.assign(Object.assign({}, this.state.callbackData), { isBackButton: true });
            return this.redirect(
            //@ts-ignore
            commands_1.CommandManager.commands.find((x) => { var _a; return [x.params.name, x.name].includes((_a = message.history.at(-2)) === null || _a === void 0 ? void 0 : _a.command); }), (_b = message.history.at(-2)) === null || _b === void 0 ? void 0 : _b.arguments);
        });
    }
};
exports.CommandContext = CommandContext;
exports.CommandContext = CommandContext = tslib_1.__decorate([
    (0, core_1.ContextD)('Command')
], CommandContext);
