import { UserDBContext } from '../../../migrated/';
import { TelegramGetUserProfilePhotosParams, TelegramUser } from '../../../types';
import { Context } from '../../core';
export declare class UserContext extends Context<TelegramUser> {
    /** The user's identifier. */
    id: number;
    /** The user's first name.*/
    firstName: string;
    /** The user's last name. */
    lastName: string | undefined;
    /** The user's username. */
    username: string | undefined;
    /** Indicates whether the user is a bot. */
    isBot: boolean;
    /** The user's language code. */
    languageCode: string | undefined;
    /** * Indicates whether the user is a premium member. */
    isPremium: boolean | undefined;
    /** Returns the user's full name. */
    fullname: string;
    /** Returns the user's appeal, which is either their username or full name. */
    appeal: string;
    /**
     * Gets the user's profile photos.
     * @param {Partial} [params] - Additional parameters for the API call.
     * @returns The API response.
     */
    getProfilePhotos(params?: Partial<TelegramGetUserProfilePhotosParams>): Promise<import("../../../types").TelegramUserProfilePhotos>;
    get userDB(): UserDBContext;
}
