"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let UserContext = class UserContext extends core_1.Context {
    constructor() {
        var _a;
        super(...arguments);
        /** The user's identifier. */
        this.id = this.source.id;
        /** The user's first name.*/
        this.firstName = this.source.first_name;
        /** The user's last name. */
        this.lastName = this.source.last_name;
        /** The user's username. */
        this.username = this.source.username;
        /** Indicates whether the user is a bot. */
        this.isBot = this.source.is_bot;
        /** The user's language code. */
        this.languageCode = this.source.language_code;
        /** * Indicates whether the user is a premium member. */
        this.isPremium = this.source.is_premium;
        /** Returns the user's full name. */
        this.fullname = [this.source.first_name, this.source.last_name].join(' ').trimEnd();
        /** Returns the user's appeal, which is either their username or full name. */
        this.appeal = (_a = (this.username && `@${this.username}`)) !== null && _a !== void 0 ? _a : this.fullname;
        // TODO: implement getting chatMember
    }
    /**
     * Gets the user's profile photos.
     * @param {Partial} [params] - Additional parameters for the API call.
     * @returns The API response.
     */
    getProfilePhotos(params) {
        return this.client.api.getUserProfilePhotos(Object.assign({ user_id: this.source.id }, params));
    }
    get userDB() {
        var _a;
        return (_a = this.state) === null || _a === void 0 ? void 0 : _a.userDB;
    }
};
exports.UserContext = UserContext;
exports.UserContext = UserContext = tslib_1.__decorate([
    (0, core_1.ContextD)('User')
], UserContext);
