import { TelegramVenue } from '../../../types';
import { Context } from '../../core';
import { LocationContext } from '../../../migrated';
export declare class VenueContext extends Context<TelegramVenue> {
    /** The location context associated with this venue context. */
    location: LocationContext;
    /** Title of the venue. */
    title: string;
    /** Address of the venue. */
    address: string;
    /** Foursquare ID and type associated with the venue. */
    foursquare: {
        id: string | undefined;
        type: string | undefined;
    };
    /** Google Place ID and type associated with the venue. */
    googlePlace: {
        id: string | undefined;
        type: string | undefined;
    };
}
