"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VenueContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let VenueContext = class VenueContext extends core_1.Context {
    constructor() {
        super(...arguments);
        /** The location context associated with this venue context. */
        this.location = this.getContext({ key: 'Location', source: this.source.location });
        /** Title of the venue. */
        this.title = this.source.title;
        /** Address of the venue. */
        this.address = this.source.address;
        /** Foursquare ID and type associated with the venue. */
        this.foursquare = { id: this.source.foursquare_id, type: this.source.foursquare_type };
        /** Google Place ID and type associated with the venue. */
        this.googlePlace = { id: this.source.google_place_id, type: this.source.google_place_type };
    }
};
exports.VenueContext = VenueContext;
exports.VenueContext = VenueContext = tslib_1.__decorate([
    (0, core_1.ContextD)('Venue')
], VenueContext);
