"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncomingMessageContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
const Message_context_1 = require("./Message.context");
let IncomingMessageContext = class IncomingMessageContext extends Message_context_1.MessageContext {
    constructor() {
        super(...arguments);
        this.senderBusinessBot = this.getContext({ key: 'Bot', source: this.source.sender_business_bot });
        this.user = this.getContext({ key: 'Bot', source: this.source.from });
    }
    edit(text, params) {
        if (params && !params.text)
            params.text = text;
        else if (!params)
            params = typeof text === 'string' ? { text } : text;
        const type = this.source.photo || this.source.video || this.source.document || this.source.animation || this.source.audio || this.source.voice ? 'caption' : 'text';
        //@ts-ignore
        return this.client.api[type === 'text' ? 'editMessageText' : 'editMessageCaption'](Object.assign({ chat_id: this.source.chat.id, message_id: this.source.message_id, [type]: params.text }, params));
    }
};
exports.IncomingMessageContext = IncomingMessageContext;
exports.IncomingMessageContext = IncomingMessageContext = tslib_1.__decorate([
    (0, core_1.ContextD)('IncomingMessage')
], IncomingMessageContext);
