import { Context } from '../../core';
import { TelegramMessage } from '../../../types';
import { LocationContext, PollContext, VenueContext } from '../../../migrated';
/**
 * MessageAttachments handles the various types of media and attachments
 * that can be included in a Telegram message.
 */
export declare class MessageAttachments extends Context<TelegramMessage> {
    animation: import("../../../types").TelegramAnimation | undefined;
    audio: import("../../../types").TelegramAudio | undefined;
    document: import("../../../types").TelegramDocument | undefined;
    photo: import("../../../types").TelegramPhotoSize[] | undefined;
    sticker: import("../../../types").TelegramSticker | undefined;
    story: import("../../../types").TelegramStory | undefined;
    video: import("../../../types").TelegramVideo | undefined;
    videoNote: import("../../../types").TelegramVideoNote | undefined;
    voice: import("../../../types").TelegramVoice | undefined;
    contact: import("../../../types").TelegramContact | undefined;
    dice: import("../../../types").TelegramDice | undefined;
    game: import("../../../types").TelegramGame | undefined;
    passport: import("../../../types").TelegramPassportData | undefined;
    giveaway: import("../../../types").TelegramGiveaway | undefined;
    paidMedia: import("../../../types").TelegramPaidMediaInfo | undefined;
    showCaptionAboveMedia: true | undefined;
    mediaGroupID: string | undefined;
    invoice: import("../../../types").TelegramInvoice | undefined;
    linkPreviewOptions: import("../../../types").TelegramLinkPreviewOptions | undefined;
    poll: PollContext | undefined;
    venue: VenueContext | undefined;
    location: LocationContext | undefined;
}
