"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageAttachments = void 0;
const core_1 = require("../../core");
/**
 * MessageAttachments handles the various types of media and attachments
 * that can be included in a Telegram message.
 */
class MessageAttachments extends core_1.Context {
    constructor() {
        super(...arguments);
        this.animation = this.source.animation;
        this.audio = this.source.audio;
        this.document = this.source.document;
        this.photo = this.source.photo;
        this.sticker = this.source.sticker;
        this.story = this.source.story;
        this.video = this.source.video;
        this.videoNote = this.source.video_note;
        this.voice = this.source.voice;
        this.contact = this.source.contact;
        this.dice = this.source.dice;
        this.game = this.source.game;
        this.passport = this.source.passport_data;
        this.giveaway = this.source.giveaway;
        this.paidMedia = this.source.paid_media;
        this.showCaptionAboveMedia = this.source.show_caption_above_media;
        this.mediaGroupID = this.source.media_group_id;
        this.invoice = this.source.invoice;
        this.linkPreviewOptions = this.source.link_preview_options;
        this.poll = this.getContext({ key: 'Poll', source: this.source.poll });
        this.venue = this.getContext({ key: 'Venue', source: this.source.venue });
        this.location = this.getContext({ key: 'Location', source: this.source.location });
    }
}
exports.MessageAttachments = MessageAttachments;
