"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageReplyContext = exports.ReplyContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
class ReplyContext extends core_1.Context {
    constructor() {
        super(...arguments);
        this.story = this.source.reply_to_story;
        this.message = this.getContext({ key: 'Message', source: this.source.reply_to_message });
        this.origin = this.getContext({ key: 'MessageOrigin', source: this.source.forward_origin });
        // prettier-ignore
        this.type = this.story && "story" ||
            this.message && "message" ||
            this.origin && "origin";
    }
}
exports.ReplyContext = ReplyContext;
let MessageReplyContext = class MessageReplyContext extends core_1.Context {
    constructor() {
        super(...arguments);
        this.quote = this.state.quote;
    }
};
exports.MessageReplyContext = MessageReplyContext;
exports.MessageReplyContext = MessageReplyContext = tslib_1.__decorate([
    (0, core_1.ContextD)('MessageReply')
], MessageReplyContext);
