"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceMessage = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
const MessageMethods_1 = require("./MessageMethods");
let ServiceMessage = class ServiceMessage extends MessageMethods_1.MessageMethods {
    constructor() {
        super(...arguments);
        this.id = this.source.message_id;
        // prettier-ignore
        this.name = this.source.boost_added && "boost_added" ||
            this.source.proximity_alert_triggered && "proximity_alert_triggered" ||
            this.source.forum_topic_created && "forum_topic_created" ||
            this.source.forum_topic_edited && "forum_topic_edited" ||
            this.source.forum_topic_closed && "forum_topic_closed" ||
            this.source.forum_topic_reopened && "forum_topic_reopened" ||
            this.source.general_forum_topic_hidden && "general_forum_topic_hidden" ||
            this.source.general_forum_topic_unhidden && "general_forum_topic_unhidden" ||
            this.source.giveaway_created && "giveaway_created" ||
            this.source.giveaway_completed && "giveaway_completed" ||
            this.source.video_chat_scheduled && "video_chat_scheduled" ||
            this.source.video_chat_started && "video_chat_started" ||
            this.source.video_chat_ended && "video_chat_ended" ||
            this.source.video_chat_participants_invited && "video_chat_participants_invited" ||
            this.source.web_app_data && "web_app_data" ||
            this.source.chat_background_set && "chat_background_set" ||
            this.source.delete_chat_photo && "delete_chat_photo" ||
            this.source.group_chat_created && "group_chat_created" ||
            this.source.supergroup_chat_created && "supergroup_chat_created" ||
            this.source.channel_chat_created && "channel_chat_created" ||
            this.source.successful_payment && "successful_payment" ||
            this.source.users_shared && "users_shared" ||
            this.source.chat_shared && "chat_shared" ||
            this.source.write_access_allowed && "write_access_allowed" ||
            this.source.refunded_payment && "refunded_payment" ||
            this.source.message_auto_delete_timer_changed && "message_auto_delete_timer_changed";
        this.boost_added = this.source.boost_added;
        this.proximity_alert_triggered = this.source.proximity_alert_triggered;
        this.forum_topic_created = this.source.forum_topic_created;
        this.forum_topic_edited = this.source.forum_topic_edited;
        this.forum_topic_closed = this.source.forum_topic_closed;
        this.forum_topic_reopened = this.source.forum_topic_reopened;
        this.general_forum_topic_hidden = this.source.general_forum_topic_hidden;
        this.general_forum_topic_unhidden = this.source.general_forum_topic_unhidden;
        this.giveaway_created = this.source.giveaway_created;
        this.giveaway_completed = this.source.giveaway_completed;
        this.video_chat_scheduled = this.source.video_chat_scheduled;
        this.video_chat_started = this.source.video_chat_started;
        this.video_chat_ended = this.source.video_chat_ended;
        this.video_chat_participants_invited = this.source.video_chat_participants_invited;
        this.web_app_data = this.source.web_app_data;
        this.chat_background_set = this.source.chat_background_set;
        this.delete_chat_photo = this.source.delete_chat_photo;
        this.group_chat_created = this.source.group_chat_created;
        this.channel_chat_created = this.source.channel_chat_created;
        this.message_auto_delete_timer_changed = this.source.message_auto_delete_timer_changed;
        this.successful_payment = this.source.successful_payment;
        this.users_shared = this.source.users_shared;
        this.chat_shared = this.source.chat_shared;
        this.write_access_allowed = this.source.write_access_allowed;
        this.refunded_payment = this.source.refunded_payment;
    }
};
exports.ServiceMessage = ServiceMessage;
exports.ServiceMessage = ServiceMessage = tslib_1.__decorate([
    (0, core_1.ContextD)('ServiceMessage')
], ServiceMessage);
