import { TelegramPollAnswer } from '../../../types';
import { Context } from '../../core';
import { ChatContext, UserContext } from '../../../migrated';
export declare class PollAnswerContext extends Context<TelegramPollAnswer> {
    /** User context for the user who changed the answer to the poll. */
    user: UserContext | undefined;
    /** The chat that changed the answer to the poll, if the voter is anonymous. */
    voterChat: ChatContext | undefined;
    /** Gets the ID of the poll. */
    id: string;
    /** Gets the IDs of the options selected by the user. */
    options: number[];
}
