"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PollAnswerContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let PollAnswerContext = class PollAnswerContext extends core_1.Context {
    constructor() {
        super(...arguments);
        /** User context for the user who changed the answer to the poll. */
        this.user = this.getContext({ key: 'User', source: this.source.user });
        /** The chat that changed the answer to the poll, if the voter is anonymous. */
        this.voterChat = this.getContext({ key: 'Chat', source: this.source.voter_chat });
        /** Gets the ID of the poll. */
        this.id = this.source.poll_id;
        /** Gets the IDs of the options selected by the user. */
        this.options = this.source.option_ids;
    }
};
exports.PollAnswerContext = PollAnswerContext;
exports.PollAnswerContext = PollAnswerContext = tslib_1.__decorate([
    (0, core_1.ContextD)('PollAnswer')
], PollAnswerContext);
