import { TelegramBusinessConnection } from '../../../types';
import { Context } from '../../core';
import { UserContext } from '../../../migrated';
export declare class BusinessConnectionContext extends Context<TelegramBusinessConnection> {
    /** Business account user that created the business connection. */
    user: UserContext;
    /** Unique identifier of the business connection. */
    id: string;
    /** Date the connection was established in Unix time. */
    date: number;
    /** Identifier of a private chat with the user who created the business connection. */
    userChatId: number;
    /** Indicates whether the bot can act on behalf of the business account in chats active in the last 24 hours. */
    canReply: boolean;
    /** Indicates whether the connection is active. */
    isEnabled: boolean;
}
