"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessConnectionContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let BusinessConnectionContext = class BusinessConnectionContext extends core_1.Context {
    constructor() {
        super(...arguments);
        /** Business account user that created the business connection. */
        this.user = this.getContext({ key: 'User', source: this.source.user });
        /** Unique identifier of the business connection. */
        this.id = this.source.id;
        /** Date the connection was established in Unix time. */
        this.date = this.source.date;
        /** Identifier of a private chat with the user who created the business connection. */
        this.userChatId = this.source.user_chat_id;
        /** Indicates whether the bot can act on behalf of the business account in chats active in the last 24 hours. */
        this.canReply = this.source.can_reply;
        /** Indicates whether the connection is active. */
        this.isEnabled = this.source.is_enabled;
    }
};
exports.BusinessConnectionContext = BusinessConnectionContext;
exports.BusinessConnectionContext = BusinessConnectionContext = tslib_1.__decorate([
    (0, core_1.ContextD)('BusinessConnection')
], BusinessConnectionContext);
