import { TelegramChosenInlineResult } from '../../../types';
import { Context } from '../../core';
import { LocationContext, UserContext } from '../../../migrated';
export declare class ChosenInlineResultContext extends Context<TelegramChosenInlineResult> {
    /** User who chose the inline result. */
    user: UserContext;
    /** Location associated with the inline result, if provided. */
    location: LocationContext | undefined;
    /** The query that was sent by the user when they selected the inline result. */
    query: string;
    /** Unique identifier for the result that was chosen. */
    resultId: string;
    /** Unique identifier for the inline message, if applicable. */
    inlineMessageId: string | undefined;
}
