"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChosenInlineResultContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("../../core");
let ChosenInlineResultContext = class ChosenInlineResultContext extends core_1.Context {
    constructor() {
        super(...arguments);
        /** User who chose the inline result. */
        this.user = this.getContext({ key: 'User', source: this.source.from });
        /** Location associated with the inline result, if provided. */
        this.location = this.getContext({ key: 'Location', source: this.source.location });
        /** The query that was sent by the user when they selected the inline result. */
        this.query = this.source.query;
        /** Unique identifier for the result that was chosen. */
        this.resultId = this.source.result_id;
        /** Unique identifier for the inline message, if applicable. */
        this.inlineMessageId = this.source.inline_message_id;
    }
};
exports.ChosenInlineResultContext = ChosenInlineResultContext;
exports.ChosenInlineResultContext = ChosenInlineResultContext = tslib_1.__decorate([
    (0, core_1.ContextD)('ChosenInlineResult')
], ChosenInlineResultContext);
