import { Context } from '../../core';
import { TelegramAnswerShippingQueryParams, TelegramShippingQuery } from '../../../types';
import { UserContext } from '../../../migrated';
export declare class ShippingQueryContext extends Context<TelegramShippingQuery> {
    /** User who sent the shipping query. */
    user: UserContext;
    /** Unique identifier for the shipping query. */
    id: string;
    /** Bot-specified invoice payload associated with the shipping query. */
    invoicePayload: string;
    /** User-specified shipping address associated with the shipping query. */
    shippingAddress: import("../../../types").TelegramShippingAddress;
    /**
     * Answers the shipping query with the specified parameters.
     *
     * @param params - The parameters to use for answering the shipping query.
     * @returns A Promise that resolves with the result of the API call to answer the shipping query.
     */
    answer(params: Partial<TelegramAnswerShippingQueryParams>): Promise<boolean>;
}
