import { TelegramUpdate, TelegramUpdateType } from '../../../types';
import { Context, ContextParams } from '../../core';
import { PollAnswerContext, PollContext } from '../../../migrated';
export declare class UpdateContext extends Context<TelegramUpdate> {
    constructor(contextParams: ContextParams);
    /** The ID of the update. */
    id: number;
    /** The type of the update determined based on the presence of specific properties in the source. */
    name: TelegramUpdateType | undefined;
    message: unknown;
    edited_message: unknown;
    channel_post: unknown;
    edited_channel_post: unknown;
    business_connection: unknown;
    business_message: unknown;
    edited_business_message: unknown;
    deleted_business_messages: unknown;
    message_reaction: unknown;
    message_reaction_count: unknown;
    inline_query: unknown;
    chosen_inline_result: unknown;
    callback_query: unknown;
    shipping_query: unknown;
    pre_checkout_query: unknown;
    poll: PollContext;
    poll_answer: PollAnswerContext;
    my_chat_member: unknown;
    chat_member: unknown;
    chat_join_request: unknown;
    chat_boost: unknown;
    removed_chat_boost: unknown;
    service_message: unknown;
}
