import { DataSource } from 'typeorm';
import { CallbackDataEntity, UserEntity } from '../migrated/';
import { UserDBContext } from '../migrated/';
import { Evogram } from '../';
import { ChatDBContext } from './instances/ChatDB.context';
import { ChatEntity } from './entities';
import { ConfigService } from './Config.service';
import { MessageService } from './services/Message.service';
export declare class DatabaseManager {
    client: Evogram;
    db: DataSource;
    password: string;
    config: ConfigService;
    message: MessageService;
    constructor(client: Evogram);
    init(): Promise<this>;
    getUser(id: string | number): Promise<UserDBContext | null>;
    addUser(userData: Partial<UserEntity>): Promise<UserEntity>;
    addCallbackData(data: Partial<CallbackDataEntity>): Promise<CallbackDataEntity>;
    getCallbackData(button_id: string): Promise<CallbackDataEntity | null>;
    getChat(id: string | number): Promise<ChatDBContext | null>;
    addChat(userData: Partial<ChatEntity>): Promise<ChatEntity>;
}
