import { Context } from '../../contexts';
import { UserEntity, UserContext } from '../../migrated';
import { TelegramUser } from '../../types';
import { MessageEntity } from '../entities/Message.entity';
export type UserHistory = {
    command: any;
    arguments?: Record<string, any>;
    chat_id: number;
    isCurrent?: boolean;
};
export declare class UserDBContext<T extends Record<string, any> = any> extends Context<Partial<UserEntity> & {
    telegram_data: TelegramUser;
}> {
    readonly id: number;
    readonly telegramData: UserContext;
    private _createdAt;
    get createdAt(): Date;
    set createdAt(value: Date);
    private _lastActivity;
    get lastActivity(): number;
    set lastActivity(value: number);
    private _accessLevel;
    get accessLevel(): number;
    set accessLevel(value: number);
    private _banned;
    get banned(): boolean;
    set banned(value: boolean);
    private _language;
    get language(): string | undefined;
    set language(value: string);
    private _payload;
    set payload(value: T);
    get payload(): T;
    private initCreatedAt;
    private initPayload;
    private initHistory;
    getBotMessages(): Promise<MessageEntity[]>;
    private save;
    prepareHistory(history?: UserHistory[]): UserHistory[];
    private saveToDatabase;
    structure(entity: UserEntity): T;
    history: UserHistory[];
    saveHistory(): Promise<import("typeorm").UpdateResult>;
}
