import { CommandInstance, Evogram } from '..';
import { EvogramInlineKeyboardButton } from './keyboard.interface';
export declare class KeyboardBuilder {
    private client;
    private keyboard;
    private buttons;
    constructor(client: Evogram);
    /** Adds a button to the keyboard */
    addButton(button: EvogramInlineKeyboardButton): this;
    /** Sets the order of buttons based on the provided array */
    private setButtonOrder;
    /** Arranges buttons into a keyboard layout with pagination */
    arrangeButtons(buttons: EvogramInlineKeyboardButton[], width: number, height: number, command: CommandInstance, page?: number): this;
    /** Creates rows based on button configurations and specified width */
    private createRows;
    /** Adds pagination buttons for navigating between pages */
    private addPaginationButtons;
    /** Builds and returns the keyboard */
    build(): Promise<EvogramInlineKeyboardButton[][]>;
}
