"use strict";
var _SmartButton_buttonData;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartButton = void 0;
const tslib_1 = require("tslib");
class SmartButton {
    constructor(client, callbackData) {
        this.client = client;
        this.callbackData = callbackData;
        _SmartButton_buttonData.set(this, void 0);
        const [commandName, userID, id, redirect, isBackButton] = callbackData.split('cdm ')[1].split(';');
        this.commandName = commandName;
        this.onlyForUser = Number(userID);
        this.id = id;
        this.redirect = redirect;
        this.isBackButton = Boolean(isBackButton);
    }
    get isSmart() {
        return this.callbackData.startsWith('cdm');
    }
    get command() {
        return this.client.commands.commands.find((x) => x.params.name === this.commandName);
    }
    init() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            tslib_1.__classPrivateFieldSet(this, _SmartButton_buttonData, yield this.client.database.getCallbackData(this.id), "f");
        });
    }
    get keyboard() {
        return tslib_1.__classPrivateFieldGet(this, _SmartButton_buttonData, "f").keyboard;
    }
    get onClick() {
        return tslib_1.__classPrivateFieldGet(this, _SmartButton_buttonData, "f").onClick;
    }
    get payload() {
        return tslib_1.__classPrivateFieldGet(this, _SmartButton_buttonData, "f").payload || tslib_1.__classPrivateFieldGet(this, _SmartButton_buttonData, "f");
    }
}
exports.SmartButton = SmartButton;
_SmartButton_buttonData = new WeakMap();
