export declare enum LogLevel {
    ERROR = "error",
    WARN = "warn",
    LOG = "log",
    DEBUG = "debug",
    VERBOSE = "verbose"
}
export type LogLevelPriority = {
    [key in LogLevel]: number;
};
export interface LoggerOptions {
    logLevel?: LogLevel;
    colors?: boolean;
}
export declare class Logger {
    private context;
    logLevel: LogLevel;
    private colorsEnabled;
    constructor(context?: string, options?: LoggerOptions);
    private getLogLevelPriority;
    private getTimestamp;
    private formatMessage;
    private getColor;
    private printMessage;
    error(message: any, trace?: string, context?: string): void;
    warn(message: any, context?: string): void;
    log(message: any, context?: string): void;
    debug(message: any, context?: string): void;
    verbose(message: any, context?: string): void;
    child(context: string): Logger;
    static create(context: string): Logger;
}
