"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MiddlewareD = MiddlewareD;
const tslib_1 = require("tslib");
const Middleware_1 = require("./Middleware");
/** Decorator to register a method as a middleware function */
function MiddlewareD() {
    return function (targetClass, // The class where the method is decorated
    propertyKey, // The name of the method
    descriptor // The method descriptor
    ) {
        const originalMethod = descriptor.value;
        if (typeof originalMethod === 'function') {
            // Add the method to the static middlewares array of the Middleware class
            Middleware_1.Middleware.middlewares.push((ctx, next) => tslib_1.__awaiter(this, void 0, void 0, function* () {
                // Call the original method
                yield originalMethod.call(targetClass, ctx, next);
            }));
        }
    };
}
