"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const contexts_1 = require("../../contexts");
const __1 = require("..");
class CallbackDataMiddleware {
    middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            // Проверяем данные callback_query и фиксируем событие
            if (!ctx.callback_query || !ctx.callback_query.data || !ctx.callback_query.data.startsWith('cdm'))
                return next();
            // Извлекаем данные из callback_query.data
            ctx.state.callbackData = (yield ctx.client.database.getCallbackData(ctx.callback_query.data.replace('cdm ', ''))) || {};
            const { onlyForUser, onClick } = ctx.state.callbackData;
            // Проверяем ID пользователя
            if (Number(onlyForUser) && Number(onlyForUser) !== ctx.callback_query.from.id)
                return;
            // Выполняем действие onClick, если оно определено
            if (onClick) {
                // Создаем контекст callback-запроса
                const callbackQuery = contexts_1.ContextManager.getContext('CallbackQuery', {
                    client: ctx.client,
                    source: ctx.callback_query,
                    state: ctx.state,
                });
                yield eval(`(${onClick})(callbackQuery)`);
            }
            return next();
        });
    }
}
tslib_1.__decorate([
    (0, __1.MiddlewareD)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object, Object]),
    tslib_1.__metadata("design:returntype", Promise)
], CallbackDataMiddleware.prototype, "middleware", null);
