"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatDBMiddleware = void 0;
const tslib_1 = require("tslib");
const migrated_1 = require("../../migrated");
class ChatDBMiddleware {
    static middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            let chatID = ((_a = Object.values(ctx).find((x) => { var _a; return (_a = x === null || x === void 0 ? void 0 : x.chat) === null || _a === void 0 ? void 0 : _a.id; })) === null || _a === void 0 ? void 0 : _a.chat.id) || ((_c = (_b = ctx.callback_query) === null || _b === void 0 ? void 0 : _b.message) === null || _c === void 0 ? void 0 : _c.chat.id);
            if (!chatID)
                return next();
            // Загрузка данных пользователя из базы данных
            const chatDB = yield ctx.client.database.getChat(chatID);
            if (chatDB) {
                ctx.state.chatDB = chatDB;
            }
            else {
                const source = yield ctx.client.database.addChat({ chat_id: chatID });
                ctx.state.chatDB = new migrated_1.ChatDBContext({
                    client: ctx.client,
                    source,
                    state: ctx.state,
                });
            }
            return next();
        });
    }
}
exports.ChatDBMiddleware = ChatDBMiddleware;
