"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const __1 = require("../");
const contexts_1 = require("../../contexts");
class CommandMiddleware {
    middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c, _d, _e;
            if (!ctx.message && !ctx.callback_query && !ctx.inline_query)
                return next();
            const callbackData = ((_a = ctx.callback_query) === null || _a === void 0 ? void 0 : _a.data)
                ? (yield ctx.state.callbackData) || {
                    command: ctx.callback_query.data.split('?')[0],
                    payload: Object.fromEntries(new URLSearchParams(decodeURI((_b = ctx.callback_query) === null || _b === void 0 ? void 0 : _b.data.slice(((_c = ctx.callback_query) === null || _c === void 0 ? void 0 : _c.data.indexOf('?')) + 1))).entries()),
                }
                : ((_e = (_d = ctx.message) === null || _d === void 0 ? void 0 : _d.text) === null || _e === void 0 ? void 0 : _e.startsWith('/start '))
                    ? (yield ctx.client.database.getCallbackData(ctx.message.text.replace('/start ', ''))) || undefined
                    : undefined;
            // Обработка сообщений
            if (ctx.message) {
                ctx.state.callbackData = callbackData;
                const message = contexts_1.ContextManager.getContext('Message', {
                    client: ctx.client,
                    source: ctx.message,
                    state: ctx.state,
                });
                const commandContext = contexts_1.ContextManager.getContext('Command', {
                    client: ctx.client,
                    source: ctx.message,
                    state: Object.assign(Object.assign({}, ctx.state), { origin: 'message', message }),
                });
                const command = (callbackData === null || callbackData === void 0 ? void 0 : callbackData.command)
                    ? ctx.client.commands.commands.find((x) => [x.params.name, x.constructor.name].includes(callbackData.command))
                    : ctx.client.commands.getCommand(commandContext);
                if (!command)
                    return next();
                ctx.state.command = command;
                yield command.preExecute(commandContext);
            }
            else if (ctx.callback_query) {
                if (callbackData)
                    ctx.state.callbackData = callbackData;
                const callbackQuery = contexts_1.ContextManager.getContext('CallbackQuery', {
                    client: ctx.client,
                    source: ctx.callback_query,
                    state: ctx.state,
                });
                const commandContext = contexts_1.ContextManager.getContext('Command', {
                    client: ctx.client,
                    source: Object.assign(Object.assign({}, callbackQuery.message.source), { from: callbackQuery.source.from }),
                    state: Object.assign(Object.assign({}, ctx.state), { origin: 'callbackQuery', callbackQuery }),
                });
                let command = callbackData
                    ? ctx.client.commands.commands.find((x) => [x.params.name, x.constructor.name].includes(callbackData.command))
                    : ctx.client.commands.getCommand(commandContext);
                if (!command)
                    return next();
                ctx.state.command = command;
                yield command.preExecute(commandContext);
            }
            else if (ctx.inline_query) {
                ctx.state.callbackData = (yield ctx.client.database.getCallbackData(ctx.inline_query.query.trim().split('?')[0])) || undefined;
                const inlineQuery = contexts_1.ContextManager.getContext('InlineQuery', {
                    client: ctx.client,
                    source: ctx.inline_query,
                    state: ctx.state,
                });
                const command = ctx.client.commands.commands.find((x) => {
                    var _a;
                    return [x.params.name, x.constructor.name].includes(((_a = ctx.state.callbackData) === null || _a === void 0 ? void 0 : _a.command) || ctx.inline_query.query.trim().split('?')[0]);
                });
                if (!command)
                    return next();
                ctx.state.command = command;
                yield command.inlinePreExecute(inlineQuery).catch((error) => {
                    console.error(error);
                });
            }
            return next();
        });
    }
}
tslib_1.__decorate([
    (0, __1.MiddlewareD)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object, Object]),
    tslib_1.__metadata("design:returntype", Promise)
], CommandMiddleware.prototype, "middleware", null);
