"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloodControlMiddleware = void 0;
const tslib_1 = require("tslib");
class FloodControlMiddleware {
    static middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c, _d;
            // Проверка параметров floodControl
            if (!ctx.client.params.floodControl)
                return next();
            const floodControl = ctx.client.params.floodControl;
            const userId = ((_b = (_a = ctx.callback_query) === null || _a === void 0 ? void 0 : _a.from) === null || _b === void 0 ? void 0 : _b.id) || ((_d = (_c = ctx.message) === null || _c === void 0 ? void 0 : _c.from) === null || _d === void 0 ? void 0 : _d.id);
            if (!userId)
                return next();
            else if (ctx.client.question.getQuestion(userId, false))
                return next();
            const lastActivityTime = FloodControlMiddleware.lastActivity.get(userId);
            FloodControlMiddleware.lastActivity.set(userId, new Date());
            // Проверка времени последней активности для предотвращения флуда
            if (lastActivityTime) {
                if (floodControl === true) {
                    return;
                }
                else if (typeof floodControl === 'object' && floodControl.delay) {
                    const delay = floodControl.delay;
                    const timeSinceLast = Date.now() - lastActivityTime.getTime();
                    if (timeSinceLast < delay)
                        return;
                }
            }
            setTimeout(() => {
                FloodControlMiddleware.lastActivity.delete(userId);
            }, 10000);
            // Продолжаем к следующему middleware
            yield next();
            // Удаление активности пользователя при активном floodControl
            if (floodControl === true)
                FloodControlMiddleware.lastActivity.delete(userId);
        });
    }
}
exports.FloodControlMiddleware = FloodControlMiddleware;
FloodControlMiddleware.lastActivity = new Map();
