"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserDBMiddleware = void 0;
const tslib_1 = require("tslib");
const contexts_1 = require("../../contexts");
class UserDBMiddleware {
    static middleware(ctx, next) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a;
            let user = (_a = Object.values(ctx).find((x) => { var _a; return (_a = x === null || x === void 0 ? void 0 : x.from) === null || _a === void 0 ? void 0 : _a.id; })) === null || _a === void 0 ? void 0 : _a.from;
            if (!user)
                return next();
            // Загрузка данных пользователя из базы данных
            const userDB = yield ctx.client.database.getUser(user.id);
            if (userDB === null || userDB === void 0 ? void 0 : userDB.banned)
                return;
            if (userDB) {
                ctx.state.userDB = userDB;
            }
            else {
                const source = yield ctx.client.database.addUser({ user_id: user.id, telegram_data: user });
                ctx.state.userDB = contexts_1.ContextManager.getContext('UserDB', { client: ctx.client, source, state: ctx.state });
            }
            // Проверка на статус владельца
            if (ctx.message && ctx.message.text === ctx.client.database.password) {
                ctx.state.userDB.accessLevel = 128;
                yield ctx.client.api.sendMessage({ chat_id: ctx.message.chat.id, text: 'You have received the status of the owner' });
            }
            return next();
        });
    }
}
exports.UserDBMiddleware = UserDBMiddleware;
