"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventTransport = exports.EventTransportState = void 0;
const tslib_1 = require("tslib");
const contexts_1 = require("../contexts");
var EventTransportState;
(function (EventTransportState) {
    EventTransportState[EventTransportState["Enabled"] = 1] = "Enabled";
    EventTransportState[EventTransportState["Disabled"] = 0] = "Disabled";
})(EventTransportState || (exports.EventTransportState = EventTransportState = {}));
class EventTransport {
    constructor(client) {
        this.client = client;
        this.state = EventTransportState.Disabled;
    }
    onUpdate(context) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (!context.name)
                return;
            //@ts-ignore
            let data = yield this.client.middleware.execute(Object.assign(Object.assign({ client: this.client }, context.source), { state: context.state || {} }));
            if (!data)
                return;
            const updateContext = contexts_1.ContextManager.getContext('Update', { client: this.client, source: data, state: data.state });
            if (Object.keys(this.client.updates.handlers).find((x) => x === updateContext.name))
                // @ts-ignore
                // prettier-ignore
                for (const handler of this.client.updates.handlers[updateContext.name])
                    yield handler({ context: updateContext[updateContext.name], client: this.client });
        });
    }
}
exports.EventTransport = EventTransport;
