import { TelegramGetUpdatesParams } from '../types';
import { EventTransport } from './EventTransport';
/**
 * Represents a class for handling long-polling updates from the Telegram Bot API.
 */
export declare class Polling extends EventTransport {
    /**
     * Starts long-polling with optional parameters.
     * @param {TelegramGetUpdatesParams} [params] - Optional parameters for long-polling.
     */
    start(params?: TelegramGetUpdatesParams): Promise<void>;
    /**
     * Stops long-polling.
     */
    stop(): void;
    private lastUpdateTime;
    /**
     * Worker function for long-polling updates.
     * @param {TelegramGetUpdatesParams} [params={}] - Optional parameters for updates.
     */
    private worker;
}
