"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartLink = void 0;
const crypto_1 = require("crypto");
const logger_1 = require("../logger");
class SmartLink {
    constructor(client) {
        this.client = client;
        this.logger = new logger_1.Logger('SmartLink');
    }
    setCommand(command) {
        this.command = command;
        return this;
    }
    setPayload(payload) {
        this.payload = payload;
        return this;
    }
    toString() {
        var _a, _b, _c, _d;
        const data = {
            command: (_a = this.command) === null || _a === void 0 ? void 0 : _a.name,
            payload: this.payload,
        };
        const button_id = (0, crypto_1.createHash)('sha1').update(JSON.stringify(data)).digest('hex').slice(0, 12);
        this.client.database.addCallbackData(data).catch(() => { });
        this.logger.debug(`Generated smart link: https://t.me/${(_c = (_b = this === null || this === void 0 ? void 0 : this.client) === null || _b === void 0 ? void 0 : _b.bot) === null || _c === void 0 ? void 0 : _c.username}?start=${button_id}`);
        this.logger.debug(`Data: ${JSON.stringify(data)}`);
        if (!data.command)
            this.logger.warn('No command provided');
        return `https://t.me/${(_d = this.client.bot) === null || _d === void 0 ? void 0 : _d.username}?start=${button_id}`;
    }
}
exports.SmartLink = SmartLink;
