"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.entitiesToString = entitiesToString;
function entitiesToString(text, entities, parse_mode) {
    const textWithEntities = entities.reduce((prev, curr) => {
        var _a;
        const changeText = text === null || text === void 0 ? void 0 : text.slice(curr.offset, curr.offset + curr.length);
        switch (parse_mode) {
            case 'HTML':
                switch (curr.type) {
                    case 'bold':
                        return prev.replace(changeText, `<b>${changeText}</b>`);
                    case 'italic':
                        return prev.replace(changeText, `<i>${changeText}</i>`);
                    case 'underline':
                        return prev.replace(changeText, `<u>${changeText}</u>`);
                    case 'strikethrough':
                        return prev.replace(changeText, `<s>${changeText}</s>`);
                    case 'spoiler':
                        return prev.replace(changeText, `<tg-spoiler>${changeText}</tg-spoiler>`);
                    case 'text_link':
                        return prev.replace(changeText, `<a href="${curr.url}">${changeText}</a>`);
                    case 'custom_emoji':
                        return prev.replace(changeText, `<tg-emoji emoji-id="${curr.custom_emoji_id}">${changeText}</tg-emoji>`);
                    case 'mention':
                        return prev.replace(changeText, curr.user ? `<a href="tg://user?id=${(_a = curr.user) === null || _a === void 0 ? void 0 : _a.id}">${changeText}</a>` : changeText);
                    case 'code':
                        return prev.replace(changeText, `<code>${changeText}</code>`);
                    case 'blockquote':
                        return prev.replace(changeText, `<blockquote>${changeText}</blockquote>`);
                    default:
                        return prev;
                }
            default:
                return prev;
        }
    }, text) || text;
    return textWithEntities;
}
