import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum ArrayValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_ARRAY = "INVALID_ARRAY",
    TOO_FEW_ITEMS = "TOO_FEW_ITEMS",
    TOO_MANY_ITEMS = "TOO_MANY_ITEMS",
    INVALID_ITEM = "INVALID_ITEM"
}
export interface ArrayValidatorOptions extends ValidatorOptions {
    minLength?: number;
    maxLength?: number;
    separator?: string | RegExp;
    itemValidator?: ValidatorFunction;
}
export declare const parseArray: (value: string, separator?: string | RegExp) => string[];
export declare const arrayValidator: (options?: ArrayValidatorOptions) => ValidatorFunction;
