import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum EmailValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_FORMAT = "INVALID_FORMAT",
    INVALID_DOMAIN = "INVALID_DOMAIN",
    DISPOSABLE_EMAIL = "DISPOSABLE_EMAIL",
    BLOCKED_DOMAIN = "BLOCKED_DOMAIN",
    MX_RECORD_NOT_FOUND = "MX_RECORD_NOT_FOUND"
}
export interface EmailValidatorOptions extends ValidatorOptions {
    checkMx?: boolean;
    allowedDomains?: string[];
    blockedDomains?: string[];
    checkDisposable?: boolean;
}
export declare const disposableDomains: Set<string>;
export declare const EMAIL_REGEX: RegExp;
export declare const emailValidator: (options?: EmailValidatorOptions) => ValidatorFunction;
