import { ArrayValidatorError } from './array.validator';
import { BooleanValidatorError } from './boolean.validator';
import { CardValidatorError } from './card.validator';
import { DateValidatorError } from './date.validator';
import { EmailValidatorError } from './email.validator';
import { NumberValidatorError } from './number.validator';
import { PercentValidatorError } from './percent.validator';
import { PhoneValidatorError } from './phone.validator';
import { StringValidatorError } from './string.validator';
import { ValidatorOptions } from './types';
import { UrlValidatorError } from './url.validator';
export type ValidatorErrorCodes = ArrayValidatorError | BooleanValidatorError | DateValidatorError | EmailValidatorError | NumberValidatorError | PercentValidatorError | PhoneValidatorError | StringValidatorError | UrlValidatorError | CardValidatorError;
export interface IValidatorError {
    options: ValidatorOptions;
    code: ValidatorErrorCodes;
    message: string;
}
export declare class ValidatorError extends Error implements IValidatorError {
    readonly options: ValidatorOptions;
    readonly code: ValidatorErrorCodes;
    readonly message: string;
    constructor(options: ValidatorOptions, code: ValidatorErrorCodes, message: string);
}
export declare class ValidationErrors {
    private static errors;
    static add(code: ValidatorErrorCodes, errorMessage: string): void;
    static get(code: ValidatorErrorCodes): string | undefined;
    static has(code: ValidatorErrorCodes): boolean;
    static clear(): void;
    static getAll(): string[];
}
