"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationErrors = exports.ValidatorError = void 0;
class ValidatorError extends Error {
    constructor(options, code, message) {
        super(message);
        this.options = options;
        this.code = code;
        this.message = message;
    }
}
exports.ValidatorError = ValidatorError;
class ValidationErrors {
    static add(code, errorMessage) {
        this.errors.set(code, errorMessage);
    }
    static get(code) {
        return this.errors.get(code);
    }
    static has(code) {
        return this.errors.has(code);
    }
    static clear() {
        this.errors.clear();
    }
    static getAll() {
        return Array.from(this.errors.values());
    }
}
exports.ValidationErrors = ValidationErrors;
ValidationErrors.errors = new Map();
