import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum NumberValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_NUMBER = "INVALID_NUMBER",
    LESS_THAN_MIN = "LESS_THAN_MIN",
    GREATER_THAN_MAX = "GREATER_THAN_MAX",
    DECIMAL_NOT_ALLOWED = "DECIMAL_NOT_ALLOWED"
}
export declare const parseNumber: (value: string, allowFloat?: boolean) => number | null;
export interface NumberValidatorOptions extends ValidatorOptions {
    min?: number;
    max?: number;
    allowFloat?: boolean;
}
export declare const numberValidator: (options?: NumberValidatorOptions) => ValidatorFunction;
