import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum PercentValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_PERCENT = "INVALID_PERCENT",
    LESS_THAN_MIN = "LESS_THAN_MIN",
    GREATER_THAN_MAX = "GREATER_THAN_MAX"
}
export interface PercentValidatorOptions extends ValidatorOptions {
    min?: number;
    max?: number;
    allowDecimal?: boolean;
}
export declare const parsePercent: (value: string, allowDecimal?: boolean) => number | null;
export declare const percentValidator: (options?: PercentValidatorOptions) => ValidatorFunction;
