import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum PhoneValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_FORMAT = "INVALID_FORMAT",
    INVALID_COUNTRY_CODE = "INVALID_COUNTRY_CODE",
    INVALID_LENGTH = "INVALID_LENGTH",
    INVALID_OPERATOR = "INVALID_OPERATOR"
}
export interface PhoneValidatorOptions extends ValidatorOptions {
    country?: string;
    allowedCountries?: string[];
    allowedOperators?: string[];
    formats?: ('RU' | 'UA' | 'BY' | 'KZ' | 'DE' | 'FR' | 'GB' | 'CN' | 'JP')[];
}
export declare const COUNTRY_PATTERNS: Record<string, {
    pattern: RegExp;
    length: number;
}>;
export declare const normalizePhone: (phone: string) => string;
export declare const formatPhone: (phone: string, format: string) => string;
export declare const phoneValidator: (options?: PhoneValidatorOptions) => ValidatorFunction;
