import { ValidatorFunction, ValidatorOptions } from './types';
export declare enum UrlValidatorError {
    VALUE_REQUIRED = "VALUE_REQUIRED",
    INVALID_URL = "INVALID_URL",
    INVALID_PROTOCOL = "INVALID_PROTOCOL",
    INVALID_DOMAIN = "INVALID_DOMAIN",
    INVALID_CONTENT_TYPE = "INVALID_CONTENT_TYPE",
    REQUEST_FAILED = "REQUEST_FAILED"
}
export interface UrlValidatorOptions extends ValidatorOptions {
    protocols?: string[];
    allowedDomains?: string[];
    contentType?: string | string[];
}
export declare const isValidUrl: (url: string) => boolean;
export declare const urlValidator: (options?: UrlValidatorOptions) => ValidatorFunction;
